## org.eclipse.ocl.cst.impl
Class CSTNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.cst.impl.CSTNodeImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CSTNode

Direct Known Subclasses:
  CollectionLiteralPartCSImpl, ContextDeclCSImpl, DefExpressionCSImpl, InitOrDerValueCSImpl, InvOrDefCSImpl, IsMarkedPreCSImpl, OCLDocumentCSImpl, OCLExpressionCSImpl, OCLMessageArgCSImpl, OperationCSImpl, PackageDeclarationCSImpl, PrePostOrBodyDeclCSImpl, VariableCSImpl

    public abstract class CSTNodeImpl

extends EObjectImpl
implements CSTNode

An implementation of the model object 'Node'.

The following features are implemented:

- `Start Offset`
- `End Offset`
- `Start Token`
- `End Token`
- `Ast`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Object` `ast` The cached value of the '`Ast`' attribute
`protected static Object` `AST_EDEFAULT` The default value of the '`Ast`' attribute
`protected static int` `END_OFFSET_EDEFAULT` The default value of the '`End Offset`' attribute
`protected static lpg.lpgjavaruntime.IToken` `END_TOKEN_EDEFAULT` The default value of the '`End Token`' attribute
`protected int` `endOffset` The cached value of the '`End Offset`' attribute
`protected lpg.lpgjavaruntime.IToken` `endToken` The cached value of the '`End Token`' attribute
`protected static int` `START_OFFSET_EDEFAULT` The default value of the '`Start Offset`' attribute
`protected static lpg.lpgjavaruntime.IToken` `START_TOKEN_EDEFAULT` The default value of the '`Start Token`' attribute
`protected int` `startOffset` The cached value of the '`Start Offset`' attribute
`protected lpg.lpgjavaruntime.IToken` `startToken` The cached value of the '`Start Token`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CSTNodeImpl()`

Method Summary
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Object` `getAst()`
`int` `getEndOffset()`
`lpg.lpgjavaruntime.IToken` `getEndToken()`
`int` `getStartOffset()`
`lpg.lpgjavaruntime.IToken` `getStartToken()`
`void` `setAst(Object newAst)`
`void` `setEndOffset(int newEndOffset)`
`void` `setEndToken(lpg.lpgjavaruntime.IToken newEndToken)`
`void` `setStartOffset(int newStartOffset)`
`void` `setStartToken(lpg.lpgjavaruntime.IToken newStartToken)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### START_OFFSET_EDEFAULT

    protected static final int START_OFFSET_EDEFAULT

  The default value of the '`Start Offset`' attribute.

  See Also:
    `getStartOffset()`, Constant Field Values

### startOffset

    protected int startOffset

  The cached value of the '`Start Offset`' attribute.

  See Also:
    `getStartOffset()`

### END_OFFSET_EDEFAULT

    protected static final int END_OFFSET_EDEFAULT

  The default value of the '`End Offset`' attribute.

  See Also:
    `getEndOffset()`, Constant Field Values

### endOffset

    protected int endOffset

  The cached value of the '`End Offset`' attribute.

  See Also:
    `getEndOffset()`

### START_TOKEN_EDEFAULT

    protected static final lpg.lpgjavaruntime.IToken START_TOKEN_EDEFAULT

  The default value of the '`Start Token`' attribute.

  Since:
    1.3
  See Also:
    `getStartToken()`

### startToken

    protected lpg.lpgjavaruntime.IToken startToken

  The cached value of the '`Start Token`' attribute.

  Since:
    1.3
  See Also:
    `getStartToken()`

### END_TOKEN_EDEFAULT

    protected static final lpg.lpgjavaruntime.IToken END_TOKEN_EDEFAULT

  The default value of the '`End Token`' attribute.

  Since:
    1.3
  See Also:
    `getEndToken()`

### endToken

    protected lpg.lpgjavaruntime.IToken endToken

  The cached value of the '`End Token`' attribute.

  Since:
    1.3
  See Also:
    `getEndToken()`

### AST_EDEFAULT

    protected static final Object AST_EDEFAULT

  The default value of the '`Ast`' attribute.

  Since:
    1.3
  See Also:
    `getAst()`

### ast

    protected Object ast

  The cached value of the '`Ast`' attribute.

  Since:
    1.3
  See Also:
    `getAst()`

Constructor Detail

### CSTNodeImpl

    protected CSTNodeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getStartOffset

    public int getStartOffset()

  Specified by:
    `getStartOffset` in interface `CSTNode`
  Returns:
    the value of the 'Start Offset' attribute.
  See Also:
    `CSTNode.setStartOffset(int)`, `CSTPackage.getCSTNode_StartOffset()`

### setStartOffset

    public void setStartOffset(int newStartOffset)

  Specified by:
    `setStartOffset` in interface `CSTNode`
  Parameters:
    `newStartOffset` - the new value of the 'Start Offset' attribute.
  See Also:
    `CSTNode.getStartOffset()`

### getEndOffset

    public int getEndOffset()

  Specified by:
    `getEndOffset` in interface `CSTNode`
  Returns:
    the value of the 'End Offset' attribute.
  See Also:
    `CSTNode.setEndOffset(int)`, `CSTPackage.getCSTNode_EndOffset()`

### setEndOffset

    public void setEndOffset(int newEndOffset)

  Specified by:
    `setEndOffset` in interface `CSTNode`
  Parameters:
    `newEndOffset` - the new value of the 'End Offset' attribute.
  See Also:
    `CSTNode.getEndOffset()`

### getStartToken

    public lpg.lpgjavaruntime.IToken getStartToken()

  Specified by:
    `getStartToken` in interface `CSTNode`
  Returns:
    the value of the 'Start Token' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.setStartToken(IToken)`, `CSTPackage.getCSTNode_StartToken()`

### setStartToken

    public void setStartToken(lpg.lpgjavaruntime.IToken newStartToken)

  Specified by:
    `setStartToken` in interface `CSTNode`
  Parameters:
    `newStartToken` - the new value of the 'Start Token' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.getStartToken()`

### getEndToken

    public lpg.lpgjavaruntime.IToken getEndToken()

  Specified by:
    `getEndToken` in interface `CSTNode`
  Returns:
    the value of the 'End Token' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.setEndToken(IToken)`, `CSTPackage.getCSTNode_EndToken()`

### setEndToken

    public void setEndToken(lpg.lpgjavaruntime.IToken newEndToken)

  Specified by:
    `setEndToken` in interface `CSTNode`
  Parameters:
    `newEndToken` - the new value of the 'End Token' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.getEndToken()`

### getAst

    public Object getAst()

  Specified by:
    `getAst` in interface `CSTNode`
  Returns:
    the value of the 'Ast' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.setAst(Object)`, `CSTPackage.getCSTNode_Ast()`

### setAst

    public void setAst(Object newAst)

  Specified by:
    `setAst` in interface `CSTNode`
  Parameters:
    `newAst` - the new value of the 'Ast' attribute.
  Since:
    1.3
  See Also:
    `CSTNode.getAst()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.